hid_device_info Struct Reference

`#include <hidapi.h>`

Collaboration diagram for hid_device_info:
[legend]

## Public Attributes

char * | path
unsigned short | vendor_id
unsigned short | product_id
wchar_t * | serial_number
unsigned short | release_number
wchar_t * | manufacturer_string
wchar_t * | product_string
unsigned short | usage_page
unsigned short | usage
int | interface_number
struct hid_device_info * | next

## Detailed Description

hidapi info structure

## Member Data Documentation

int hid_device_info::interface_number

The USB interface which this logical device represents. Valid on both Linux implementations in all cases, and valid on the Windows implementation only if the device contains more than one interface.

wchar_t* hid_device_info::manufacturer_string

Manufacturer String

struct hid_device_info* hid_device_info::next

Pointer to the next device

char* hid_device_info::path

Platform-specific device path

unsigned short hid_device_info::product_id

Device Product ID

wchar_t* hid_device_info::product_string

Product string

unsigned short hid_device_info::release_number

Device Release Number in binary-coded decimal, also known as Device Version Number

wchar_t* hid_device_info::serial_number

Serial Number

unsigned short hid_device_info::usage

Usage for this Device/Interface (Windows/Mac only).

unsigned short hid_device_info::usage_page

Usage Page for this Device/Interface (Windows/Mac only).

unsigned short hid_device_info::vendor_id

Device Vendor ID

The documentation for this struct was generated from the following file:

- hidapi.h